from src.event_server import EventServer
from src.widgets import FullscreenWidget
from tests.parse_arguments import create_parser, parse_args

parse_args(create_parser())

# Create server and fullscreen widget
screen = FullscreenWidget()
server = EventServer(screen)

# Bind handlers
screen.on_rotate(lambda g: 0)
screen.on_pinch(lambda g: 0)
screen.on_drag(lambda g: 0)

# Start listening to TUIO events
try:
    server.start()
except KeyboardInterrupt:
    server.stop()
